petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscPartitionerSetFromOptions

sets parameters in a PetscPartitioner from the options database

### Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerSetFromOptions(PetscPartitioner part)

Collective on PetscPartitioner

### Input Parameter

| part | - the PetscPartitioner object to set options for

### Options Database Keys

| -petscpartitioner_type <type> | - Sets the PetscPartitioner type; use -help for a list of available types
| -petscpartitioner_use_vertex_weights | - Uses weights associated with the graph vertices
| -petscpartitioner_view_graph | - View the graph each time PetscPartitionerPartition is called. Viewer can be customized, see PetscOptionsGetViewer()

### See Also

PetscPartitionerView(), PetscPartitionerSetType(), PetscPartitionerPartition()

### Level

developer

### Location

src/dm/partitioner/interface/partitioner.c

### Examples

src/dm/impls/plex/tutorials/ex5.c.html
src/dm/impls/plex/tutorials/ex7.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex77.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages